Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 663504 - dev-python/terminado-0.8.1 fails NamedTermTests.test_max_terminals test
Summary: dev-python/terminado-0.8.1 fails NamedTermTests.test_max_terminals test
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
: 667906 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-08-13 11:13 UTC by Mart Raudsepp
Modified: 2020-03-29 10:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (terminado-build.log,13.58 KB, text/plain)
2018-08-13 11:14 UTC, Mart Raudsepp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2018-08-13 11:13:47 UTC
==================================================================================================== FAILURES =====================================================================================================
________________________________________________________________________________________ NamedTermTests.test_max_terminals ________________________________________________________________________________________

self = <tornado.testing._TestMethodWrapper object at 0xffff8ff49f90>, args = (), kwargs = {}

    def __call__(self, *args, **kwargs):
>       result = self.orig_method(*args, **kwargs)

/usr/lib64/python2.7/site-packages/tornado/testing.py:125: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
/usr/lib64/python2.7/site-packages/tornado/testing.py:550: in post_coroutine
    timeout=timeout)
/usr/lib64/python2.7/site-packages/tornado/ioloop.py:576: in run_sync
    return future_cell[0].result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:1141: in run
    yielded = self.gen.throw(*exc_info)
terminado/tests/basic_test.py:203: in test_max_terminals
    tms = yield self.get_term_clients(urls[:MAX_TERMS])
/usr/lib64/python2.7/site-packages/tornado/gen.py:1133: in run
    value = future.result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:1141: in run
    yielded = self.gen.throw(*exc_info)
terminado/tests/basic_test.py:114: in get_term_clients
    tms = yield [self.get_term_client(path) for path in paths]
/usr/lib64/python2.7/site-packages/tornado/gen.py:1133: in run
    value = future.result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:883: in callback
    result_list.append(f.result())
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
/usr/lib64/python2.7/site-packages/tornado/gen.py:1141: in run
    yielded = self.gen.throw(*exc_info)
terminado/tests/basic_test.py:109: in get_term_client
    ws = yield tornado.websocket.websocket_connect(request)
/usr/lib64/python2.7/site-packages/tornado/gen.py:1133: in run
    value = future.result()
/usr/lib64/python2.7/site-packages/tornado/concurrent.py:261: in result
    raise_exc_info(self._exc_info)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

exc_info = (<class 'tornado.simple_httpclient.HTTPStreamClosedError'>, HTTP 599: Stream closed, None)

>   ???
E   HTTPStreamClosedError: Stream closed

<string>:3: HTTPStreamClosedError
------------------------------------------------------------------------------------------------ Captured log call ------------------------------------------------------------------------------------------------
autoreload.py              126 WARNING  tornado.autoreload started more than once in the same process
iostream.py               1074 WARNING  Write error on <socket._socketobject object at 0xffff8ff7b050>: [Errno 9] Bad file descriptor
web.py                    1670 ERROR    Uncaught exception GET /named/2 (127.0.0.1)
HTTPServerRequest(protocol='http', host='127.0.0.1:38197', method='GET', uri='/named/2', version='HTTP/1.1', remote_ip='127.0.0.1')
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/tornado/websocket.py", line 546, in _run_callback
    result = callback(*args, **kwargs)
  File "/tmp/portage/dev-python/terminado-0.8.1/work/terminado-0.8.1/terminado/websocket.py", line 59, in open
    self.send_json_message(["setup", {}])
  File "/tmp/portage/dev-python/terminado-0.8.1/work/terminado-0.8.1/terminado/websocket.py", line 68, in send_json_message
    self.write_message(json_msg)
  File "/usr/lib64/python2.7/site-packages/tornado/websocket.py", line 262, in write_message
    return self.ws_connection.write_message(message, binary=binary)
  File "/usr/lib64/python2.7/site-packages/tornado/websocket.py", line 869, in write_message
    raise WebSocketClosedError()
WebSocketClosedError
iostream.py               1074 WARNING  Write error on <socket._socketobject object at 0xffff8ff5dec0>: [Errno 9] Bad file descriptor
concurrent.py              140 ERROR    Future exception was never retrieved: Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/tornado/gen.py", line 1141, in run
    yielded = self.gen.throw(*exc_info)
  File "/usr/lib64/python2.7/site-packages/tornado/websocket.py", line 876, in wrapper
    raise WebSocketClosedError()
WebSocketClosedError
================================================================================================ warnings summary =================================================================================================
None
  pytest-capturelog plugin has been merged into the core, please remove it from your requirements.

terminado/tests/basic_test.py::TestTermClient
  cannot collect test class 'TestTermClient' because it has a __init__ constructor
Comment 1 Mart Raudsepp gentoo-dev 2018-08-13 11:14:35 UTC
Portage 2.3.46 (python 3.6.6-final-0, default/linux/arm64/17.0/systemd, gcc-7.3.0, glibc-2.26-r7, 4.9.0-4-arm64 aarch64)
=================================================================
System uname: Linux-4.9.0-4-arm64-aarch64-with-gentoo-2.4.1
KiB Mem:   131544964 total,  87210112 free
KiB Swap:    3321056 total,   3321056 free
Timestamp of repository gentoo: Sun, 12 Aug 2018 08:30:01 +0000
Head commit of repository gentoo: 2eebea6191f3dc8a5c37ab4db66cf20a943b6da5
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo
dev-util/cmake:           3.11.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

ACCEPT_KEYWORDS="arm64 ~arm64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="aarch64-unknown-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="aarch64-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2"
GENTOO_MIRRORS="http://gentoo.osuosl.org/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j99"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X acl arm64 bzip2 cli crypt cxx dri fortran gdbm iconv icu ipv6 jpeg libtirpc modules multilib ncurses nls nptl openmp pam pcre readline seccomp ssl systemd tcpd udev unicode xattr zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="edsp neon thumb thumb2 v4 v5 v6 v7 v8 vfp vfp-d32 vfpv3 vfpv4" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby21 ruby23" USERLAND="GNU" VIDEO_CARDS="fbdev dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Mart Raudsepp gentoo-dev 2018-08-13 11:14:56 UTC
Created attachment 543250 [details]
build.log
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-29 10:16:11 UTC
*** Bug 667906 has been marked as a duplicate of this bug. ***